// Program associated with the paper entitled "N
// "Nonlinear bounded-error state estimation of continuous-time systems"
// submitted to Automatica
// The algorithms can be found in the file 'algo.cpp'

//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
USERES("voltera.res");
USEFORM("fiche.cpp", Form1);
USEUNIT("..\interval\interval.cpp");
USEUNIT("..\interval\box.cpp");
USEUNIT("..\interval\repere.cpp");
USEUNIT("..\interval\iboolean.cpp");
USEUNIT("algo.cpp");
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
    try
    {
        Application->Initialize();
        Application->CreateForm(__classid(TForm1), &Form1);
        Application->Run();
    }
    catch (Exception &exception)
    {
        Application->ShowException(&exception);
    }
    return 0;
}
//---------------------------------------------------------------------------
